(truth
(eval `(store alice ,alice))
(eval `(store bob ,bob))
(eval `(store charlie ,charlie))
(eval `(store dave ,dave))
(eval `(store eve ,eve))
(insert alice private)
(insert bob private)
(insert charlie lieutenant)
(insert dave lieutenant)
(insert eve general)
)
(show
(findanyinset private (eqp age 30))
(findanyinset private (ltp age 30))
(findanyinset private (gtp age 30))
(findanyinset lieutenant (eqp sex m))
(findanyinset lieutenant (eqp sex f))
(findanyinset general t)
)
